<header class="header py-2 home-welcome-mobile__header">
  <div class="header__nav">
    {{#unless isShowingMenuTags}}
    <button type="button" {{action 'toggleModal' 'isShowingMenuModal'}} class="header__button" >
      {{#if isButtonNetRoute}}
        {{#link-to 'button-net.register' (query-params hideWelcome="true")}}
           {{svg-jar "menu" class="home-welcome-mobile__header-icon"}}
           {{#unless isAuthenticated}}
            Menú
           {{/unless}}
         {{/link-to}}
      {{else}}
        {{#link-to 'register' (query-params hideWelcome="true")}}
           {{svg-jar "menu" class="home-welcome-mobile__header-icon"}}
           {{#unless isAuthenticated}}
            Menú
           {{/unless}}
         {{/link-to}}
      {{/if}}
    </button>
    {{else}}
    <button type="button" {{action 'toggleModal' 'isShowingMenuTags'}} class="header__button" >
      {{#if isButtonNetRoute}}
        {{#link-to 'button-net.index.index'  (query-params hideWelcome="true")}}
          {{svg-jar 'back' class="home-welcome-mobile__header-icon"}}
        {{/link-to}}
      {{else}}
        {{#link-to 'index.index'  (query-params hideWelcome="true")}}
          {{svg-jar 'back' class="home-welcome-mobile__header-icon"}}
        {{/link-to}}
      {{/if}}
    </button>
    {{/unless}}
  </div>
  <div class="header__center">
    {{net-picker class="" agreedNet=buttonNet isShowingCreateNetModal=isShowingCreateNetModal}}
    <!-- {{svg-jar "svg-logo" class="small-header-icon"}} -->
  </div>
  <div class="header__nav">
    <button type="button" {{action 'toggleModal' 'isShowingModal'}} class="header__button">
      {{#if isButtonNetRoute}}
        {{#link-to 'button-net.index' (query-params buttonsDisplay="map" hideWelcome="true")}}
          {{svg-jar "button_list" class="home-welcome-mobile__header-icon"}}
          Mapa
        {{/link-to}}
      {{else}}
        {{#link-to 'index' (query-params buttonsDisplay="map" hideWelcome="true")}}
          {{svg-jar "button_list" class="home-welcome-mobile__header-icon"}}
          Mapa
        {{/link-to}}
      {{/if}}
  </button>
  </div>
</header>

{{#unless isShowingMenuTags}}
<div class="home-welcome-mobile__half-screen home-welcome-mobile__text">
  <div class="pt-4 px-4 home-welcome-mobile__align-bottom">
    <div class="col-12 p-3 home-welcome__slogan">
      {{#if isButtonNetRoute}}
      <div class="mb-3">
        <div class="home-welcome__slogan-title">{{buttonNet.name}} es:</div>
        <div class="home-welcome__slogan-sub">{{buttonNet.description}}</div>
      </div>
          {{#link-to 'button-net.buttons.new' 'new' (query-params hideWelcome="true") class='button-with-icon__link'}}
            <div class="button-with-icon button-over-yellow">
              <div class="button-with-icon__icon--small button-with-icon__icon">{{svg-jar "atta"}}</div>
              <div class="button-with-icon__text--small button-with-icon__text">
                OFRECE / SOLICITA ALGO
              </div>
            </div>
          {{/link-to}}
      {{else}}
      <div class="mb-2">
          <strong>Hola! Helpbuttons ó Botonesdeayuda</strong> es una plataforma para colaborar en lo que quieras :
      </div>
          {{#link-to 'buttons.new' 'new' (query-params hideWelcome="true") class='button-with-icon__link'}}
              <div class="button-with-icon button-over-yellow">
                <div class="button-with-icon__icon--small button-with-icon__icon">{{svg-jar "atta"}}</div>
                <div class="button-with-icon__text--small button-with-icon__text">
                  OFRECE / SOLICITA ALGO
                </div>
              </div>
          {{/link-to}}
      {{/if}}
    </div>
    {{#if isButtonNetRoute}}
      {{#unless noTrendingTags}}
        <div class="col-12 px-3 home-welcome__slogan">
          Temas de la zona:
        </div>
      {{else}}
        {{#if buttonNet.tags}}
          <div class="col-12 px-3 home-welcome__slogan">
            Temas de la Red:
          </div>
        {{/if}}
      {{/unless}}
    {{else}}
      {{#unless noTrendingTags}}
        <div class="col-12 px-3 home-welcome__slogan">
          Mira temas en:
           {{place-autocomplete-field
                  classNames="home-welcome__address home-welcome__address-container"
                  inputClass='home-welcome__address'
                  value=searchZoneAddress
                  id=welcomeAddress
                  searchAction=(action 'searchByAddress')
                  placeChangedCallback=(action 'searchByAddress')
                  setValueWithProperty='formatted_address'
                  handlerController=this
                  withGeoLocate=true
                  placeholder=searchZoneAddress
                  disabled=isSearching
                }}
        </div>
      {{else}}
        <div class="col-12 px-3 home-welcome__slogan">
          Mira temas en el mundo:
        </div>
      {{/unless}}
    {{/if}}
    <div class="col-12 px-3">
      <p>
        {{#each firstTrendingTags as |tag|}}
          {{#if isButtonNetRoute}}
            {{#link-to 'button-net.index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu') class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
              {{tag.name}}
            {{/link-to}}
          {{else}}
            {{#link-to 'index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu') class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
              {{tag.name}}
            {{/link-to}}
          {{/if}}
        {{/each}}
        {{#if moreTrendingTags}}
          {{#if isButtonNetRoute}}
            {{#link-to 'button-net.index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
          {{else}}
            {{#link-to 'index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
          {{/if}}
        {{/if}}
        <!-- no tags -->
        {{#if noTrendingTags}}
          {{#unless isButtonNetRoute}}
            {{#each globalTrendingTags as |tag|}}
                {{#link-to 'index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu') class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
                  {{tag.name}}
                {{/link-to}}
            {{/each}}
            {{#link-to 'index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
          {{else}}
            {{#if buttonNet.tags}}
              {{#each buttonNet.tags as |tag|}}
                {{#link-to 'button-net.index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu') class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
                  {{tag.name}}
                {{/link-to}}
              {{/each}}
            {{#link-to 'button-net.index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
            {{/if}}
          {{/unless}}
        {{/if}}
        <!-- subs -->
        {{#if isAuthenticated}}
          {{#if isButtonNetRoute}}
              <span class="mt-1">
                {{#if buttonNet.tags}}
                  <button class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-2 w-100" {{action 'addInterest'}}>
                    Suscríbete a los temas de {{buttonNet.name}}
                  </button>
                  <p class="home-welcome__subtext">*Si te suscribes recibirás alertas en tu mail de los botones que se creen</p>
                {{else if noTrendingTags}}
                {{else}}
                  <button class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-2 w-100" {{action 'addInterest'}}>
                    Suscríbete a estos temas
                  </button>
                  <p class="home-welcome__subtext">*Si te suscribes recibirás alertas en tu mail de los botones que se creen</p>
                {{/if}}
              </span>
          {{else}}
            <span class="mt-1">
              <button class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-2 w-100" {{action 'addInterest'}}>
              Suscríbete a estos temas
              </button>
              <p class="home-welcome__subtext">*Si te suscribes recibirás alertas en tu mail de los botones que se creen</p>
            </span>
          {{/if}}
        {{/if}}
      </p>
    </div>
    <div class="col-12 px-3 mb-3 mt-4 home-welcome__slogan">
      {{#unless isButtonNetRoute}}
        <div class="home-welcome__slogan">
        O colabora con tu colectivo :
        </div>
        {{#if isAuthenticated}}
          <button class="button-with-icon button-with-icon--small button-over-yellow" {{action 'toggleHideWelcomeNet'}}>
            <div class="button-with-icon__icon--small button-with-icon__icon">{{svg-jar "atta"}}</div>
            <div class="button-with-icon__text--small button-with-icon__text">
              CREAR RED
            </div>
          </button>
          <p class="home-welcome__subtext">*Crea tu Red para colaborar con tu barrio, organización o colectivo</p>
        {{else}}
          <!-- {{#link-to 'register' class="button-with-icon button-with-icon--small button-over-yellow"}}
              <div class="button-with-icon__icon--small button-with-icon__icon">{{svg-jar "atta"}}</div>
              <div class="button-with-icon__text--small button-with-icon__text">
                CREAR RED
              </div>
          {{/link-to}} -->
          {{net-picker class="" loading=loading agreedNet=buttonNet isShowingCreateNetModal=isShowingCreateNetModal}}
        {{/if}}
      {{/unless}}
    </div>
  </div>
</div>

<div class="home-welcome-mobile__half-screen home-welcome-mobile__half-screen--z-index text-center">
  <div class="col-12 px-3">
    <button class="d-block button-sample mt-5" {{action 'toggleHideWelcome'}}>
      Volver
    </button>
  </div>
  <!-- {{#if isButtonNetRoute}}
    {{#link-to 'button-net.buttons.new' 'new'}}
      <div class="home-welcome-mobile__create-button">
        <div class="home-welcome-mobile__create-button-border">
        </div>
        <div class="row home-welcome-mobile__button-design">
          <div class="col-12 text-center">{{svg-jar "create"}}</div>
          <div class="col-12 home-welcome-mobile__create-button-text">
            <strong>CREAR BOTÓN</strong>
          </div>
        </div>
      </div>
    {{/link-to}}
  {{else}}
    {{#link-to 'buttons.new' 'new'}}
      <div class="home-welcome-mobile__create-button">
        <div class="home-welcome-mobile__create-button-border">
        </div>
        <div class="row home-welcome-mobile__button-design">
          <div class="col-12 text-center">{{svg-jar "create"}}</div>
          <div class="col-12 home-welcome-mobile__create-button-text">
            <strong>CREAR BOTÓN</strong>
          </div>
        </div>
      </div>
    {{/link-to}}
  {{/if}} -->
  <!-- <div class="home-welcome-mobile__align-bottom w-100 h-100">
    <div class="position-relative w-100 h-100">
      {{svg-jar "trans" class="home-welcome-mobile__svg"}}
    </div>
  </div> -->
  <!-- {{#if isButtonNetRoute}}
    <div class="d-flex justify-content-between mt-0">
      <button class="w-100 text-center home-welcome__small-buttons mx-3 mb-1" {{action 'copyWidgetRoute'}} type="button" name="button">
        Código para insertar Red
      </button>
    </div>
  {{/if}} -->
</div>

{{else}}
<div class="home-welcome-mobile__trending-tags home-welcome-mobile__text">
  {{trending-tags buttonNet=buttonNet searchTrendingTags=searchTrendingTags}}
</div>
{{/unless}}
